# Generated from infinum_id-2.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name infinum_id

Name: rubygem-%{gem_name}
Version: 2.1.0
Release: 1%{?dist}
Summary: Write a short summary, because RubyGems requires one
License: MIT
URL: https://github.com/infinum/rails-infinum-id-engine
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(factory_bot_rails)
# BuildRequires: rubygem(faker)
# BuildRequires: rubygem(pry-rails)
# BuildRequires: rubygem(pry-byebug)
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(rails)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(webmock)
BuildArch: noarch

%description
Write a longer description or delete this line.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CHANGES.md
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/infinum_id.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 2.1.0-1
- Initial package
